Loading...
Searching...
No Matches
gr::thread::thread_body_wrapper< F > Class Template Reference

`#include <gnuradio/thread/thread_body_wrapper.h>`

## Public Member Functions

| thread_body_wrapper (F f, const std::string &name="", bool catch_exceptions=true)
void | operator() ()

## Constructor & Destructor Documentation

## thread_body_wrapper()

template<class F>

gr::thread::thread_body_wrapper< F >::thread_body_wrapper | ( | F | f,
|  | const std::string & | name = "",
|  | bool | catch_exceptions = true )

inline explicit

References gr::configure_default_loggers().

## Member Function Documentation

## operator()()

template<class F>

void gr::thread::thread_body_wrapper< F >::operator() | ( |  | ) |

inline

References gr::thread::mask_signals().

The documentation for this class was generated from the following file:

- thread_body_wrapper.h